//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.


#include <map>

namespace AMDiS {

  template<typename BaseClass>
  void CreatorMap<BaseClass>::clear() 
  {
    typename std::map< std::string, CreatorInterface<BaseClass>* >::iterator it;

    for (it = creatorMap.begin(); it != creatorMap.end(); ++it)
      delete it->second;
  }
}
